## InfGtkCertificateDialog

InfGtkCertificateDialog — A dialog warning the user about a server's certificate

## Stability Level

Unstable, unless otherwise indicated

## Functions

InfGtkCertificateDialog * | inf_gtk_certificate_dialog_new ()

## Properties

InfCertificateChain * | certificate-chain | Read / Write
gchar * | hostname | Read / Write
gpointer | pinned-certificate | Read / Write
InfCertificateVerifyFlags | verify-flags | Read / Write

## Types and Values

struct | InfGtkCertificateDialog
struct | InfGtkCertificateDialogClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── InfGtkCertificateDialog

## Implemented Interfaces

InfGtkCertificateDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libinfgtk/inf-gtk-certificate-dialog.h>

## Description

InfGtkCertificateDialog is a dialog that can be shown to a user if the validation of the server's certificate cannot be performed automatically. The dialog will present to the user the reason(s) of the validation failure and might ask whether to fully establish the connection to the server or not.

## Functions

### inf_gtk_certificate_dialog_new ()

    InfGtkCertificateDialog *
    inf_gtk_certificate_dialog_new (GtkWindow *parent,
                                    GtkDialogFlags dialog_flags,
                                    InfCertificateVerifyFlags verify_flags,
                                    const gchar *hostname,
                                    InfCertificateChain *certificate_chain,
                                    gnutls_x509_crt_t pinned_certificate);

Creates a new InfGtkCertificateDialog. A InfGtkCertificateDialog shows a warning about a server's certificate to a user, for example when the issuer is not trusted or the hostname does not match what the certificate was issued to.

[constructor]

#### Parameters

parent | Parent GtkWindow of the dialog. |
dialog_flags | Flags for the dialog, see GtkDialogFlags. |
verify_flags | What certificate warnings to show, see InfCertificateVerifyFlags. |
hostname | The host name of the server that provides the certificate. |
certificate_chain | The certificate chain provided by the server. | [transfer none]
pinned_certificate | The certificate that we had pinned for this host, or `NULL`. | [transfer none]

#### Returns

A new InfGtkCertificateDialog.

[transfer full]

## Types and Values

### struct InfGtkCertificateDialog

    struct InfGtkCertificateDialog;

InfGtkCertificateDialog is an opaque data type. You should only access it via the public API functions.

### struct InfGtkCertificateDialogClass

    struct InfGtkCertificateDialogClass {
    };

This structure does not contain any public fields.

## Property Details

### The `“certificate-chain”` property

      “certificate-chain”        InfCertificateChain *

The certificate chain to show in the dialog.

Owner: InfGtkCertificateDialog

Flags: Read / Write

### The `“hostname”` property

      “hostname”                 gchar *

Host name of the server from which the certificate is.

Owner: InfGtkCertificateDialog

Flags: Read / Write

Default value: NULL

### The `“pinned-certificate”` property

      “pinned-certificate”       gpointer

The certificate that we had pinned for this host.

Owner: InfGtkCertificateDialog

Flags: Read / Write

### The `“verify-flags”` property

      “verify-flags”             InfCertificateVerifyFlags

What warnings about the certificate to display.

Owner: InfGtkCertificateDialog

Flags: Read / Write